Zum Inhalt springen

Overview

  • Version: 2.0.0
  • Servers: https://store.xsolla.com/api
  • Contact Us by Email
  • Contact URL: https://xsolla.com/
  • Required TLS version: 1.2

The Catalog API allows you to configure a catalog of in-game items on the Xsolla side and display the catalog to users in your store.

The API allows you to manage the following catalog entities:

  • Virtual items — in-game items such as weapons, skins, boosters.
  • Virtual currency — virtual money used to purchase virtual goods.
  • Virtual currency packages — predefined bundles of virtual currency.
  • Bundles — combined packages of virtual items, currency, or game keys sold as a single SKU.
  • Game keys — keys for games and DLCs distributed via platforms like Steam or other DRM providers.
  • Groups — logical groupings for organizing and sorting items within the catalog.

API calls

The API is divided into the following groups:

  • Admin — calls for creating, updating, deleting, and configuring catalog items and groups. Authenticated via basic access authentication with your merchant or project credentials. Not intended for storefront use.
  • Catalog — calls for retrieving items and building custom storefronts for end users. Designed to handle high-load scenarios. Support optional user JWT authorization to return personalized data such as user-specific limits and active promotions.

Authentication

API calls require authentication either on behalf of a user or on behalf of a project. The authentication scheme used is specified in the Security section in the description of each call.

Authentication using user's JWT

User's JWT authentication is used when a request is sent from a browser, mobile application, or game. By default, the XsollaLoginUserJWT scheme is applied. For details on how to create a token, see the Xsolla Login API documentation.

The token is passed in the Authorization header in the following format: Authorization: Bearer <user_JWT>, where <user_JWT> is the user token. The token identifies the user and provides access to personalized data. You can try this call using the following test token:

eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJleHAiOjE5NjIyMzQwNDgsImlzcyI6Imh0dHBzOi8vbG9naW4ueHNvbGxhLmNvbSIsImlhdCI6MTU2MjE0NzY0OCwidXNlcm5hbWUiOiJ4c29sbGEiLCJ4c29sbGFfbG9naW5fYWNjZXNzX2tleSI6IjA2SWF2ZHpDeEVHbm5aMTlpLUc5TmMxVWFfTWFZOXhTR3ZEVEY4OFE3RnMiLCJzdWIiOiJkMzQyZGFkMi05ZDU5LTExZTktYTM4NC00MjAxMGFhODAwM2YiLCJlbWFpbCI6InN1cHBvcnRAeHNvbGxhLmNvbSIsInR5cGUiOiJ4c29sbGFfbG9naW4iLCJ4c29sbGFfbG9naW5fcHJvamVjdF9pZCI6ImU2ZGZhYWM2LTc4YTgtMTFlOS05MjQ0LTQyMDEwYWE4MDAwNCIsInB1Ymxpc2hlcl9pZCI6MTU5MjR9.GCrW42OguZbLZTaoixCZgAeNLGH2xCeJHxl8u8Xn2aI

Alternatively, you can use a token for opening the payment UI.

Basic HTTP authentication

Basic HTTP authentication is used for server-to-server interactions, when an API call is sent directly from your server rather than from a user's browser or mobile application. HTTP Basic authentication with an API key is typically used.

Note

The API key is confidential and must not be stored or used in client applications.

With basic server-side authentication, all API requests must include the following header:

  • for basicAuthAuthorization: Basic <your_authorization_basic_key>, where your_authorization_basic_key is the project_id:api_key pair encoded in Base64
  • for basicMerchantAuthAuthorization: Basic <your_authorization_basic_key>, where your_authorization_basic_key is the merchant_id:api_key pair encoded in Base64

You can find the parameter values in Publisher Account:

  • merchant_id is displayed:
    • In Company settings > Company.
    • In the URL in the browser address bar on any Publisher Account page. The URL has the following format: https://publisher.xsolla.com/<merchant_id>.
  • project_id is displayed:
    • Next to the project name in Publisher Account.
    • In the URL in the browser address bar when working on a project in Publisher Account. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.
  • api_key is shown in Publisher Account only at the time of creation and must be stored securely on your side. You can create an API key in the following sections:
Notice

If a required API call doesn't include the project_id path parameter, use an API key that is valid across all company projects for authorization.

For more information about working with API keys, see the API references.

Authentication with guest access support

The AuthForCart authentication scheme is used for cart purchases and supports two modes:

  1. Authentication with a user's JWT. The token is passed in the Authorization header in the following format: Authorization: Bearer <user_JWT>, where <user_JWT> is the user token. The token identifies the user and provides access to personalized data. You can try this call using the following test token:
eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJleHAiOjE5NjIyMzQwNDgsImlzcyI6Imh0dHBzOi8vbG9naW4ueHNvbGxhLmNvbSIsImlhdCI6MTU2MjE0NzY0OCwidXNlcm5hbWUiOiJ4c29sbGEiLCJ4c29sbGFfbG9naW5fYWNjZXNzX2tleSI6IjA2SWF2ZHpDeEVHbm5aMTlpLUc5TmMxVWFfTWFZOXhTR3ZEVEY4OFE3RnMiLCJzdWIiOiJkMzQyZGFkMi05ZDU5LTExZTktYTM4NC00MjAxMGFhODAwM2YiLCJlbWFpbCI6InN1cHBvcnRAeHNvbGxhLmNvbSIsInR5cGUiOiJ4c29sbGFfbG9naW4iLCJ4c29sbGFfbG9naW5fcHJvamVjdF9pZCI6ImU2ZGZhYWM2LTc4YTgtMTFlOS05MjQ0LTQyMDEwYWE4MDAwNCIsInB1Ymxpc2hlcl9pZCI6MTU5MjR9.GCrW42OguZbLZTaoixCZgAeNLGH2xCeJHxl8u8Xn2aI

Alternatively, you can use a token for opening the payment UI.

  1. Simplified mode without Authorization header. This mode is used only for unauthorized users and can be applied only for game key sales. Instead of a token, the request must include the following headers:
    • x-unauthorized-id with a request ID
    • x-user with the user's email address encoded in Base64

Core entity structure

Items of all types (virtual items, bundles, virtual currency, and keys) use a similar data structure. Understanding the basic structure simplifies working with the API and helps you navigate the documentation more easily.

Note

Some calls may include additional fields but they don't change the basic structure.

Identification

  • merchant_id — company ID in Publisher Account
  • project_id — project ID in Publisher Account
  • sku — item SKU, unique within the project

Store display

  • name — item name
  • description — item description
  • image_url — image URL
  • is_enabled — item availability
  • is_show_in_store — whether the item is displayed in the catalog

For more information about managing item availability in the catalog, see the documentation.

Organization

  • type — item type, for example, a virtual item (virtual_item) or bundle (bundle)
  • groups — groups the item belongs to
  • order — display order in the catalog

Sale conditions

  • prices — prices in real or virtual currency
  • limits — purchase limits
  • periods — availability periods
  • regions — regional restrictions

Example of core entity structure:

{
  "attributes": [],
  "bundle_type": "virtual_currency_package",
  "content": [
    {
      "description": {
        "en": "Main in-game currency"
      },
      "image_url": "https://.../image.png",
      "name": {
        "en": "Crystals",
        "de": "Kristalle"
      },
      "quantity": 500,
      "sku": "com.xsolla.crystal_2",
      "type": "virtual_currency"
    }
  ],
  "description": {
    "en": "Crystals x500"
  },
  "groups": [],
  "image_url": "https://.../image.png",
  "is_enabled": true,
  "is_free": false,
  "is_show_in_store": true,
  "limits": {
    "per_item": null,
    "per_user": null,
    "recurrent_schedule": null
  },
  "long_description": null,
  "media_list": [],
  "name": {
    "en": "Medium crystal pack"
  },
  "order": 1,
  "periods": [
    {
      "date_from": null,
      "date_until": "2020-08-11T20:00:00+03:00"
    }
  ],
  "prices": [
    {
      "amount": 20,
      "country_iso": "US",
      "currency": "USD",
      "is_default": true,
      "is_enabled": true
    }
  ],
  "regions": [],
  "sku": "com.xsolla.crystal_pack_2",
  "type": "bundle",
  "vc_prices": []
}

Basic purchase flow

The Xsolla API allows you to implement in-game store logic, including retrieving the item catalog, managing the cart, creating orders, and tracking their status. Depending on the integration scenario, API calls are divided into Admin and Catalog subsections, which use different authentication schemes.

The following example shows a basic flow for setting up and operating a store, from item creation to purchase.

Create items and groups (Admin)

Create an item catalog for your store, such as virtual items, bundles, or virtual currency.

Example API calls:

Set up promotions, chains, and limits (Admin)

Configure user acquisition and monetization tools, such as discounts, bonuses, daily rewards, or offer chains.

Example API calls:

Get item information (Client)

Configure item display in your application.

Notice

Do not use API calls from the Admin subsection to build a user catalog. These API calls have rate limits and aren't intended for user traffic.

Example API calls:

Note

By default, catalog API calls return items that are currently available in the store at the time of the request. To retrieve items that are not yet available or are no longer available, include the parameter "show_inactive_time_limited_items": 1 in the catalog request.

Sell items

You can sell items using the following methods:

  • Fast purchase — sell one SKU multiple times.
  • Cart purchase — the user adds items to the cart, removes items, and updates quantities within a single order.

If an item is purchased using virtual currency instead of real money, use the Create order with specified item purchased by virtual currency API call. The payment UI is not required, as the charge is processed when the API call is executed.

For free item purchase, use the Create order with specified free item API call or the Create order with free cart API call. The payment UI is not required — the order is immediately set to the done status.

Fast purchase

Use the client-side API call to create an order with a specified item. The call returns a token used to open the payment UI.

Note

Discount information is available to the user only in the payment UI. Promo codes are not supported.

Cart purchase

Cart setup and purchase can be performed on the client or on the server side.

Set up and purchase a cart on the client

Implement the logic of adding and removing items by yourself. Before calling the API for setting up a cart, you will not have information about which promotions will be applied to the purchase. This means that the total cost and details of the added bonus items will not be known.

Implement the following cart logic:

  1. After the player has filled a cart, use the Fill cart with items API call. The call returns the current information about the selected items (prices before and after discounts, bonus items).
  2. Update the cart contents based on user actions:
Note

To get the current status of the cart, use the Get current user's cart API call.
  1. Use the Create order with all items from current cart API call. The call returns the order ID and payment token. The newly created order is set to new status by default.

Set up and purchase a cart on the server

This setup option may take longer for setting the cart up, since each change to the cart must be accompanied by API calls.

Implement the following cart logic:

  1. After the player has filled a cart, use the Fill cart with items API call. The call returns current information about the selected items (prices before and after discounts, bonus items).
  2. Use the Create order with all items from current cart API call. The call returns the order ID and payment token. The newly created order is set to new status by default.

Open payment UI

Use the returned token to open the payment UI in a new window. Other ways to open the payment UI are described in the documentation.

ActionEndpoint
Open in production environment.https://secure.xsolla.com/paystation4/?token={token}
Open in sandbox mode.https://sandbox-secure.xsolla.com/paystation4/?token={token}
Note

Use sandbox mode during development and testing. Test purchases don't charge real accounts. You can use test bank cards.

After the first real payment is made, a strict sandbox payment policy takes effect. A payment in sandbox mode is available only to users specified in Publisher Account > Company settings > Users.

Buying virtual currency and items for real currency is possible only after signing a license agreement with Xsolla. To do this, in Publisher Account, go to Agreements & Taxes > Agreements, complete the agreement form, and wait for confirmation. It may take up to 3 business days to review the agreement.

To enable or disable sandbox mode, change the value of the sandbox parameter in the request for fast purchase and cart purchase. Sandbox mode is off by default.

Possible order statuses:

  • new — order created
  • paid — payment received
  • done — item delivered
  • canceled — order canceled
  • expired — payment expired

Track order status using one of the following methods:

Pagination

API calls that return large sets of records (for example, when building a catalog) return data in pages. Pagination is a mechanism that limits the number of items returned in a single API response and allows you to retrieve subsequent pages sequentially.

Use the following parameters to control the number of returned items:

  • limit — number of items per page
  • offset — index of the first item on the page (numbering starts from 0)
  • has_more — indicates whether another page is available
  • total_items_count — total number of items

Example request:

GET /items?limit=20&offset=40

Response example:

{
  "items": [...],
  "has_more": true,
  "total_items_count": 135
}

It is recommended to send subsequent requests until the response returns has_more = false.

Date and time format

Dates and time values are passed in the ISO 8601 format.

The following are supported:

  • UTC offset
  • null value when there is no time restriction for displaying an item
  • Unix timestamp (in seconds) used in some fields

Format: YYYY-MM-DDTHH:MM:SS±HH:MM

Example: 2026-03-16T10:00:00+03:00

Localization

Xsolla supports localization of user-facing fields such as item name and description. Localized values are passed as an object where the language code is used as the key. The full list of supported languages is available in the documentation.

Supported fields

Localization can be specified for the following parameters:

  • name
  • description
  • long_description

Locale format

The locale key can be specified in one of the following formats:

  • Two-letter language code: en, ru
  • Five-letter language code: en-US, ru-RU, de-DE

Examples

Example with a two-letter language code:

{
  "name": {
    "en": "Starter Pack",
    "ru": "Стартовый набор"
  }
}

Example with a five-letter language code:

{
  "description": {
    "en-US": "Premium bundle",
    "de-DE": "Premium-Paket"
  }
}

Error response format

If an error occurs, the API returns an HTTP status and a JSON response body. The full list of store-related errors is available in the documentation.

Response example:

{
  "errorCode": 1102,
  "errorMessage": "Validation error",
  "statusCode": 422,
  "transactionId": "c9e1a..."
}
  • errorCode — error code.
  • errorMessage — short error description.
  • statusCode — HTTP response status.
  • transactionId — request ID. Returned only in some cases.
  • errorMessageExtended — additional error details, such as request parameters. Returned only in some cases.

Extended response example:

{
  "errorCode": 7001,
  "errorMessage": "Chain not found",
  "errorMessageExtended": {
    "chain_id": "test_chain_id",
    "project_id": "test_project_id",
    "step_number": 2
  },
  "statusCode": 404
}

Common HTTP status codes

  • 400 — invalid request
  • 401 — authentication error
  • 403 — insufficient permissions
  • 404 — resource not found
  • 422 — validation error
  • 429 — rate limit exceeded

Recommendations

  • Handle the HTTP status and the response body together.
  • Use errorCode to process errors related to application logic.
  • Use transactionId to identify requests more quickly when analyzing errors.
OpenAPI-Beschreibung herunterladen
Sprachen
Server
https://store.xsolla.com/api/
Mock server
https://xsolla.redocly.app/_mock/de/api/catalog/
Operationen
Operationen
Operationen
Operationen
Operationen
Operationen
Operationen
Operationen

Liste der Bundles abrufenClient-side

Anfrage

Gets a list of bundles for building a catalog.

Attention

All projects have the limitation to the number of items that you can get in the response. The default and maximum value is 50 items per response. To get more data page by page, use limit and offset fields.

Note

This API call returns generic item catalog data when used without authorization. Use authorization to retrieve personalized user data, such as limits and promotions associated with the item. To do this, pass the user JWT in the Authorization header. For more information about user JWT, see the Security block for this call.
Sicherheit
XsollaLoginUserJWT
Pfad
project_idintegererforderlich

Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.

Beispiel: 44056
Abfrage
limitinteger>= 1

Begrenzung der Elementanzahl auf der Seite.

Beispiel: limit=50
offsetinteger>= 0

Elementnummer, aus der die Liste generiert wird (die Zählung beginnt bei 0).

Beispiel: offset=0
localestring

Response language. Two-letter lowercase language code per ISO 639-1 (for example, en). Five-character locale codes (for example, en-US) are supported in localization fields such as name and description, but are normalized to two-letter codes in responses. You can find the full list of supported languages in the documentation.

Standard "en"
additional_fields[]Array of strings

Die Liste der zusätzlichen Felder. Diese Felder sind in der Antwort enthalten, sofern Sie diese in der Anfrage senden.

Elemente Enum"media_list""order""long_description""custom_attributes""item_order_in_group"
countrystring

Zweistelliger Ländercode in Großbuchstaben gemäß ISO 3166-1 Alpha-2. Weitere Informationen zu den von Xsolla unterstützten Ländern und dazu, wie das Land ermittelt wird, finden Sie in der Dokumentation.

Beispiel: country=US
promo_codestring[ 1 .. 128 ] characters

Eindeutiger Code, es wird zwischen Groß- und Kleinschreibung unterschieden. Enthält Buchstaben und Ziffern.

Beispiel: promo_code=WINTER2021
show_inactive_time_limited_itemsinteger

Zeigt zeitlich begrenzte Artikel an, die nicht erhältlich sind. Der Gültigkeitszeitraum dieser Artikel hat noch nicht begonnen oder ist bereits vorüber.

Standard 0
Beispiel: show_inactive_time_limited_items=1
curl -i -X GET \
  'https://store.xsolla.com/api/v2/project/44056/items/bundle?limit=50&offset=0&locale=en&additional_fields%5B%5D=media_list&country=US&promo_code=WINTER2021&show_inactive_time_limited_items=1' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Antworten

Die Liste der Bundles wurde erfolgreich empfangen.

Bodyapplication/json
has_moreboolean(Pagination_has-more)

Dient als Indikator dafür, dass weitere Seiten vorhanden sind.

itemsArray of objects(Bundles_client_bundle)
items[].​attributesArray of objects(Bundles_client-attributes)

Liste der Attribute und ihrer Werte, die dem Artikel zugeordnet sind. Kann für die Katalogfilterung verwendet werden.

items[].​attributes[].​external_idstring(admin-attribute-external_id)[ 1 .. 255 ] characters^[a-zA-Z0-9-_]+$

Eindeutige Attribut-ID. Die external_id darf nur lateinische Klein- und Großbuchstaben, Ziffern, Bindestriche und Unterstriche enthalten.

items[].​attributes[].​namestring

Name des Attributs.

Beispiel: "Genre"
items[].​attributes[].​valuesArray of objects
items[].​attributes[].​values[].​external_idstring(value-external_id)[ 1 .. 255 ] characters^[-_.\d\w]+$

Eindeutige Wert-ID für ein Attribut. Die external_id darf nur lateinische Kleinbuchstaben, alphanumerische Zeichen, Binde- und Unterstriche enthalten.

items[].​attributes[].​values[].​valuestring

Wert des Attributs.

Beispiel: "Strategy"
items[].​bundle_typestring(Bundles_bundle_type)

Bundle-Typ. Durch Angabe von standard erstellen Sie ein Bundle mit Artikeln, wobei die SKUs der im Bundle enthaltenen Artikel anzugeben ist. Durch Angabe von partner_side_content wird ein leeres Bundle erstellt, wobei die Artikel über einen Webhook hinzuzufügen sind. Dieser Typ wird nur für die Katalogpersonalisierung aufseiten des Partners verwendet.

Enum"standard""partner_side_content"
items[].​can_be_boughtboolean(Can_be_bought)

Sofern true, kann der Nutzer einen Artikel kaufen.

items[].​contentArray of objects(Bundles_client_content)

Bundle-/Paketinhalt.

items[].​content[].​attributesArray of objects(Bundles_client-attributes)

Liste der Attribute und ihrer Werte, die dem Artikel zugeordnet sind. Kann für die Katalogfilterung verwendet werden.

items[].​content[].​attributes[].​external_idstring(admin-attribute-external_id)[ 1 .. 255 ] characters^[a-zA-Z0-9-_]+$

Eindeutige Attribut-ID. Die external_id darf nur lateinische Klein- und Großbuchstaben, Ziffern, Bindestriche und Unterstriche enthalten.

items[].​content[].​attributes[].​namestring

Name des Attributs.

Beispiel: "Genre"
items[].​content[].​attributes[].​valuesArray of objects
items[].​content[].​attributes[].​values[].​external_idstring(value-external_id)[ 1 .. 255 ] characters^[-_.\d\w]+$

Eindeutige Wert-ID für ein Attribut. Die external_id darf nur lateinische Kleinbuchstaben, alphanumerische Zeichen, Binde- und Unterstriche enthalten.

items[].​content[].​attributes[].​values[].​valuestring

Wert des Attributs.

Beispiel: "Strategy"
items[].​content[].​descriptionstring

Artikelbeschreibung.

Beispiel: "Big Rocket - description"
items[].​content[].​groupsArray of objects(Bundles_groups_response)

Gruppen, zu denen der Artikel gehört.

items[].​content[].​groups[].​external_idstring
Beispiel: "horror"
items[].​content[].​groups[].​nameobject

Name des Artikels. Sollte Schlüssel-Wert-Paare enthalten, wobei der Schlüssel ein Gebietsschema im Format "^[a–z]{2}" und der Wert ein String ist.

Standard {"en":"Horror"}
Beispiel: {"de":"Horror","en":"Horror"}
items[].​content[].​groups[].​name.​property name*stringzusätzliche Eigenschaft
items[].​content[].​image_urlstring

Bild-URL.

Beispiel: "https://popmedia.blob.core.windows.net/popyourself/male/outfit/male_armor_white_a-01.png"
items[].​content[].​is_freeboolean(value-is_free)

Ob der Artikel kostenlos ist.

items[].​content[].​limitsobject or null(Catalog_item_limits_with_hourly)

Artikelbeschränkungen.

items[].​content[].​limits.​per_itemobject or null

Artikelbeschränkungen für einen Artikel.

items[].​content[].​limits.​per_item.​availableinteger

Verbleibende Anzahl von Artikeln, die alle Nutzer kaufen können.

Beispiel: 3
items[].​content[].​limits.​per_item.​totalinteger

Höchstzahl von Artikeln, die alle Nutzer kaufen können.

Beispiel: 5
items[].​content[].​limits.​per_userobject or null

Artikelbeschränkungen für einen Nutzer.

items[].​content[].​limits.​per_user.​availableinteger

Verbleibende Anzahl von Artikeln, die der aktuelle Nutzer kaufen kann.

Beispiel: 3
items[].​content[].​limits.​per_user.​limit_exceeded_visibilitystring(limit_exceeded_visibility)

Determines the visibility of the item in the catalog after the purchase limit is reached, until the next limit reset.

Applies to items for which recurring limit resets are configured in the recurrent_schedule array.

If limit resets are not configured, the item doesn't appear in the catalog after the purchase limit is reached, regardless of the limit_exceeded_visibility value.

Possible values:

  • show — The item is returned in catalog retrieval API calls after the purchase limit is reached. In client-side catalog retrieval API calls, once the limit is reached, the item is returned with the can_be_bought: false flag. The next reset date is returned in reset_next_date.
  • hide — The item is not returned in catalog retrieval API calls after the purchase limit is reached, until the limit is reset.
Enum"show""hide"
items[].​content[].​limits.​per_user.​recurrent_schedule(object or null)(catalog_recurrent_schedule_client_response)
One of:

Item limits recurrent refresh period for a user.

object or null
items[].​content[].​limits.​per_user.​totalinteger

Höchstzahl von Artikeln, die ein einzelner Nutzer kaufen kann.

Beispiel: 5
items[].​content[].​namestring

Artikelname.

Beispiel: "Big Rocket"
items[].​content[].​priceobject or null

Artikelpreise.

items[].​content[].​price.​amountstring

Artikelpreis mit Rabatt.

Beispiel: "100.99"
items[].​content[].​price.​amount_without_discountstring

Artikelpreis.

Beispiel: "100.99"
items[].​content[].​price.​currencystring

Währung des Artikelpreises. Dreistelliger Code pro ISO 4217. Detaillierte Informationen zu Von Xsolla unterstützte Währungen.

Beispiel: "USD"
items[].​content[].​quantityinteger

Artikelmenge in einem Paket.

Beispiel: 250
items[].​content[].​skustring

Eindeutige Artikel-ID. Die SKU darf nur lateinische Klein- und Großbuchstaben, Ziffern, Bindestriche und Unterstriche enthalten.

Beispiel: "com.xsolla.big_rocket_1"
items[].​content[].​typestring

Artikeltyp: virtual_good/virtual_currency/bundle.

Beispiel: "virtual_currency"
items[].​content[].​virtual_item_typestring

Type of virtual item.

Possible values:

  • consumable — An item that disappears from the inventory after use (e.g., ammo).
  • non_consumable — An item that stays in the inventory for an unlimited period of time.
  • non_renewing_subscription — Time-limited item that can represent access to services or content for a limited period of time.
Enum"consumable""non_consumable""non_renewing_subscription"
Beispiel: "non-consumable"
items[].​content[].​virtual_pricesArray of objects

Virtuelle Preise.

items[].​content[].​virtual_prices[].​amountinteger

Rabattierter Artikelpreis in virtueller Währung.

Beispiel: 100
items[].​content[].​virtual_prices[].​amount_without_discountinteger

Artikelpreis.

Beispiel: 200
items[].​content[].​virtual_prices[].​descriptionstring

Beschreibung der virtuellen Währung.

Beispiel: "Big Rocket - description"
items[].​content[].​virtual_prices[].​image_urlstring

Bild der virtuellen Währung.

Beispiel: "http://image.png"
items[].​content[].​virtual_prices[].​is_defaultboolean

Ob es sich bei dem Preis um einen Standardpreis für einen Artikel handelt.

Beispiel: true
items[].​content[].​virtual_prices[].​namestring

Name der virtuellen Währung.

Beispiel: "SHOTGUN FOR TRUE RAIDERS"
items[].​content[].​virtual_prices[].​skustring

Artikel-SKU der virtuellen Währung.

Beispiel: "vc_test"
items[].​content[].​virtual_prices[].​typestring

Art der virtuellen Währung.

Beispiel: "virtual_currency"
items[].​custom_attributesobject(json)(item-custom-attributes-response)

Ein JSON-Objekt mit Artikelattributen und ‑werten.

items[].​descriptionstring or null(Bundles_client_description)

Artikelbeschreibung.

items[].​groupsArray of objects(items_client_groups_response)

Gruppen, zu denen der Artikel gehört.

items[].​groups[].​external_idstring

Eindeutige Kennung für die Gruppe. Dient normalerweise dazu, in API-Anfragen oder externen Systemen auf die Gruppe zu verweisen.

Beispiel: "exclusive"
items[].​groups[].​item_order_in_groupinteger

Die Position des Artikels innerhalb der Gruppe. Dient dazu, die Anzeigereihenfolge festzulegen. Dieses Feld ist nur dann in der Antwort enthalten, wenn es über den Abfrageparameter additional_fields[] angefordert wird.

Beispiel: 1
items[].​groups[].​namestring

Name der Gruppe.

Beispiel: "Exclusive"
items[].​image_urlstring or null(Bundles_image_url)

Bild-URL.

items[].​is_freeboolean(value-is_free)

Ob der Artikel kostenlos ist.

items[].​item_idinteger(Bundles_item_id)[ 1 .. 255 ] characters

Interne eindeutige Artikel-ID.

items[].​limitsobject or null(Catalog_item_limits_with_hourly)

Artikelbeschränkungen.

items[].​limits.​per_itemobject or null

Artikelbeschränkungen für einen Artikel.

items[].​limits.​per_item.​availableinteger

Verbleibende Anzahl von Artikeln, die alle Nutzer kaufen können.

Beispiel: 3
items[].​limits.​per_item.​totalinteger

Höchstzahl von Artikeln, die alle Nutzer kaufen können.

Beispiel: 5
items[].​limits.​per_userobject or null

Artikelbeschränkungen für einen Nutzer.

items[].​limits.​per_user.​availableinteger

Verbleibende Anzahl von Artikeln, die der aktuelle Nutzer kaufen kann.

Beispiel: 3
items[].​limits.​per_user.​limit_exceeded_visibilitystring(limit_exceeded_visibility)

Determines the visibility of the item in the catalog after the purchase limit is reached, until the next limit reset.

Applies to items for which recurring limit resets are configured in the recurrent_schedule array.

If limit resets are not configured, the item doesn't appear in the catalog after the purchase limit is reached, regardless of the limit_exceeded_visibility value.

Possible values:

  • show — The item is returned in catalog retrieval API calls after the purchase limit is reached. In client-side catalog retrieval API calls, once the limit is reached, the item is returned with the can_be_bought: false flag. The next reset date is returned in reset_next_date.
  • hide — The item is not returned in catalog retrieval API calls after the purchase limit is reached, until the limit is reset.
Enum"show""hide"
items[].​limits.​per_user.​recurrent_schedule(object or null)(catalog_recurrent_schedule_client_response)
One of:

Item limits recurrent refresh period for a user.

object or null
items[].​limits.​per_user.​totalinteger

Höchstzahl von Artikeln, die ein einzelner Nutzer kaufen kann.

Beispiel: 5
items[].​long_description(two-letter (object or null)) or (five-letter (object or null))(long-description-localization-object)

Objekt mit Lokalisierungen für lange Artikelbeschreibungen. Werte können in zwei Formaten angegeben werden: Sprachencode bestehend aus zwei Kleinbuchstaben (z. B. en) oder fünfstelliger Gebietsschemacode (z. B. en-US). Beide Formate werden als Eingabe akzeptiert, als Antwort werden jedoch stets zweistellige Sprachencodes in Kleinbuchstaben zurückgegeben. Wenn für dieselbe Sprache beide Varianten angegeben sind (z. B. en und en-US), wird der zuletzt angegebene Wert gespeichert. Die vollständige Liste der unterstützten Sprachen finden Sie in der Dokumentation.

Any of:

Sprachencodes bestehend aus zwei Kleinbuchstaben.

items[].​long_description.​arstring or null

Arabisch

items[].​long_description.​bgstring or null

Bulgarisch

items[].​long_description.​cnstring or null

Chinesisch (vereinfacht)

items[].​long_description.​csstring or null

Tschechisch

items[].​long_description.​destring or null

Deutsch

items[].​long_description.​enstring or null

Englisch

items[].​long_description.​esstring or null

Spanisch (Spanien)

items[].​long_description.​frstring or null

Französisch

items[].​long_description.​hestring or null

Hebräisch

items[].​long_description.​idstring or null

Indonesisch

items[].​long_description.​itstring or null

Italienisch

items[].​long_description.​jastring or null

Japanisch

items[].​long_description.​kmstring or null

Khmer

items[].​long_description.​kostring or null

Koreanisch

items[].​long_description.​lostring or null

Laotisch

items[].​long_description.​mystring or null

Birmanisch

items[].​long_description.​nestring or null

Nepalesisch

items[].​long_description.​phstring or null

Filipino

items[].​long_description.​plstring or null

Polnisch

items[].​long_description.​ptstring or null

Portugiesisch

items[].​long_description.​rostring or null

Rumänisch

items[].​long_description.​rustring or null

Russisch

items[].​long_description.​thstring or null

Thai

items[].​long_description.​trstring or null

Türkisch

items[].​long_description.​twstring or null

Chinesisch (traditionell)

items[].​long_description.​vistring or null

Vietnamesisch

items[].​media_listArray of objects(Bundles_media_list)

Zusätzliche Medieninhalte des Bundles.

items[].​media_list[].​typestring

Medieninhaltstyp: image/video.

Enum"image""video"
Beispiel: "image"
items[].​media_list[].​urlstring

Ressourcendatei.

Beispiel: "https://cdn3.xsolla.com/img/misc/images/71ab1e12126f2103e1868076f0acb21a.jpg"
items[].​namestring(Bundles_client_name)

Artikelname.

items[].​orderinteger(Bundles_order)

Priorität der Bundle-Reihenfolge in der Liste.

items[].​periodsArray of objects or null(item-periods)

Artikelangebotszeitraum.

items[].​periods[].​date_fromstring(date-time)

Datum, an dem der angegebene Artikel zum Verkauf angeboten wird.

Beispiel: "2020-08-11T10:00:00+03:00"
items[].​periods[].​date_untilstring or null(date-time)

Datum, an dem der angegebene Artikel nicht mehr zum Verkauf angeboten wird. Möglich ist: null.

Beispiel: "2020-08-11T20:00:00+03:00"
items[].​priceobject or null(Bundles_price)

Artikelpreis.

items[].​price.​amountstring(Bundles_amount)^\d*\.?\d*$erforderlich

Artikelpreis mit Rabatt.

items[].​price.​amount_without_discountstring(Bundles_amount_without_discount)^\d*\.?\d*$erforderlich

Artikelpreis.

items[].​price.​currencystring(Bundles_currency)erforderlich

Währung des Artikelpreises. Dreistelliger Code pro ISO 4217.

items[].​promotionsArray of objects(Catalog_item_promotions)

Auf bestimmte Artikel im Warenkorb angewandte Werbeaktionen. Das array wird in den folgenden Fällen zurückgegeben:

  • Für einen bestimmten Artikel ist eine Rabattaktion konfiguriert.

  • Ein Promocode mit der Einstellung Rabatt auf ausgewählte Artikel ist angewandt.

Werden keine Werbeaktionen auf Artikelebene angewandt, wird ein leeres Array zurückgegeben.

items[].​promotions[].​bonusArray of objects
items[].​promotions[].​bonus[].​bundle_typestring

Typ des im Bundle enthaltenen Bonusartikels. Nur verfügbar für Bonusartikel vom Typ bundle.

Enum"standard""virtual_currency_package"
items[].​promotions[].​bonus[].​image_urlstring

Bild-URL des Bonusartikels. Nicht verfügbar für Bonusartikel vom Typ physical_good.

items[].​promotions[].​bonus[].​namestring

Name des Bonusartikels. Nicht verfügbar für Bonusartikel vom Typ physical_good.

items[].​promotions[].​bonus[].​quantityinteger
items[].​promotions[].​bonus[].​skustring
items[].​promotions[].​bonus[].​typestring

Typ des Bonusartikels.

Enum"virtual_good""virtual_currency""bundle""physical_good""game_key""nft"
items[].​promotions[].​date_endstring or null(date-time)
items[].​promotions[].​date_startstring or null(date-time)
items[].​promotions[].​discountobject or null
items[].​promotions[].​discount.​percentstring or null
items[].​promotions[].​discount.​valuestring or null
items[].​promotions[].​limitsobject
items[].​promotions[].​limits.​per_userobject
items[].​promotions[].​limits.​per_user.​availableinteger
items[].​promotions[].​limits.​per_user.​totalinteger
items[].​promotions[].​namestring
items[].​skustring(Bundles_sku)[ 1 .. 255 ] characters^[a-zA-Z0-9_\-–.]*$

Eindeutige Artikel-ID. Die SKU darf nur lateinische Klein- und Großbuchstaben, Ziffern, Punkte, Bindestriche und Unterstriche enthalten.

items[].​total_content_priceobject or null(Bundles_total_content_price)

Preissumme der einzelnen Bundle-Inhalte.

items[].​total_content_price.​amountstring

Rabattierte Preissumme der einzelnen Bundle-Inhalte.

Beispiel: "100.99"
items[].​total_content_price.​amount_without_discountstring

Preissumme der einzelnen Bundle-Inhalte.

Beispiel: "100.99"
items[].​total_content_price.​currencystring(Bundles_currency)

Währung des Artikelpreises. Dreistelliger Code pro ISO 4217.

items[].​typestring(Bundles_type)

Artikeltyp.

items[].​virtual_pricesArray of objects(Bundles_virtual_prices)

Virtuelle Preise.

items[].​virtual_prices[].​amountinteger

Rabattierter Artikelpreis in virtueller Währung.

Beispiel: 100
items[].​virtual_prices[].​amount_without_discountinteger

Artikelpreis in virtueller Währung.

Beispiel: 200
items[].​virtual_prices[].​descriptionstring or null

Beschreibung der virtuellen Währung.

Beispiel: "Most popular gold"
items[].​virtual_prices[].​image_urlstring or null

Bild der virtuellen Währung.

Beispiel: "http://image.png"
items[].​virtual_prices[].​is_defaultboolean

Ob es sich bei dem Preis um einen Standardpreis für einen Artikel handelt.

Beispiel: true
items[].​virtual_prices[].​namestring

Name der virtuellen Währung.

Beispiel: "Gold"
items[].​virtual_prices[].​skustring

Artikel-SKU der virtuellen Währung.

Beispiel: "gold"
items[].​virtual_prices[].​typestring

Art der virtuellen Währung.

Beispiel: "virtual_currency"
items[].​vp_rewardsArray of objects(client-item-value-point-reward)

Wertpunktartikel-Belohnung.

items[].​vp_rewards[].​amountinteger(value-point-amount)

Anzahl der Wertpunkte.

items[].​vp_rewards[].​image_urlstring(Common_admin-image_url)

Bild-URL.

items[].​vp_rewards[].​is_clanboolean(is_clan)

Ob der Wertpunkt in Clan-Belohnungsketten verwendet wird.

items[].​vp_rewards[].​item_idinteger(item_id)

Interne eindeutige Artikel-ID.

items[].​vp_rewards[].​namestring(value-point-name)

Wertpunktname.

items[].​vp_rewards[].​skustring(value-point-sku)

Eindeutige ID des Wertpunkts.

Antwort
application/json
{ "has_more": true, "items": [ {} ] }

Liste der Bundles anhand der angegebenen Gruppe abrufenClient-side

Anfrage

Gets a list of bundles within a group for building a catalog.

Attention

All projects have the limitation to the number of items that you can get in the response. The default and maximum value is 50 items per response. To get more data page by page, use limit and offset fields.

Note

This API call returns generic item catalog data when used without authorization. Use authorization to retrieve personalized user data, such as limits and promotions associated with the item. To do this, pass the user JWT in the Authorization header. For more information about user JWT, see the Security block for this call.
Sicherheit
XsollaLoginUserJWT
Pfad
project_idintegererforderlich

Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.

Beispiel: 44056
external_idstringerforderlich

External item group ID specified during creation.

Beispiel: weapons
Abfrage
limitinteger>= 1

Begrenzung der Elementanzahl auf der Seite.

Beispiel: limit=50
offsetinteger>= 0

Elementnummer, aus der die Liste generiert wird (die Zählung beginnt bei 0).

Beispiel: offset=0
localestring

Response language. Two-letter lowercase language code per ISO 639-1 (for example, en). Five-character locale codes (for example, en-US) are supported in localization fields such as name and description, but are normalized to two-letter codes in responses. You can find the full list of supported languages in the documentation.

Standard "en"
additional_fields[]Array of strings

Die Liste der zusätzlichen Felder. Diese Felder sind in der Antwort enthalten, sofern Sie diese in der Anfrage senden.

Elemente Enum"media_list""order""long_description""custom_attributes""item_order_in_group"
countrystring

Zweistelliger Ländercode in Großbuchstaben gemäß ISO 3166-1 Alpha-2. Weitere Informationen zu den von Xsolla unterstützten Ländern und dazu, wie das Land ermittelt wird, finden Sie in der Dokumentation.

Beispiel: country=US
promo_codestring[ 1 .. 128 ] characters

Eindeutiger Code, es wird zwischen Groß- und Kleinschreibung unterschieden. Enthält Buchstaben und Ziffern.

Beispiel: promo_code=WINTER2021
show_inactive_time_limited_itemsinteger

Zeigt zeitlich begrenzte Artikel an, die nicht erhältlich sind. Der Gültigkeitszeitraum dieser Artikel hat noch nicht begonnen oder ist bereits vorüber.

Standard 0
Beispiel: show_inactive_time_limited_items=1
curl -i -X GET \
  'https://store.xsolla.com/api/v2/project/44056/items/bundle/group/weapons?limit=50&offset=0&locale=en&additional_fields%5B%5D=media_list&country=US&promo_code=WINTER2021&show_inactive_time_limited_items=1' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Antworten

Die Liste der Bundles wurde erfolgreich empfangen.

Bodyapplication/json
has_moreboolean(Pagination_has-more)

Dient als Indikator dafür, dass weitere Seiten vorhanden sind.

itemsArray of objects(Bundles_client_bundle)
items[].​attributesArray of objects(Bundles_client-attributes)

Liste der Attribute und ihrer Werte, die dem Artikel zugeordnet sind. Kann für die Katalogfilterung verwendet werden.

items[].​attributes[].​external_idstring(admin-attribute-external_id)[ 1 .. 255 ] characters^[a-zA-Z0-9-_]+$

Eindeutige Attribut-ID. Die external_id darf nur lateinische Klein- und Großbuchstaben, Ziffern, Bindestriche und Unterstriche enthalten.

items[].​attributes[].​namestring

Name des Attributs.

Beispiel: "Genre"
items[].​attributes[].​valuesArray of objects
items[].​attributes[].​values[].​external_idstring(value-external_id)[ 1 .. 255 ] characters^[-_.\d\w]+$

Eindeutige Wert-ID für ein Attribut. Die external_id darf nur lateinische Kleinbuchstaben, alphanumerische Zeichen, Binde- und Unterstriche enthalten.

items[].​attributes[].​values[].​valuestring

Wert des Attributs.

Beispiel: "Strategy"
items[].​bundle_typestring(Bundles_bundle_type)

Bundle-Typ. Durch Angabe von standard erstellen Sie ein Bundle mit Artikeln, wobei die SKUs der im Bundle enthaltenen Artikel anzugeben ist. Durch Angabe von partner_side_content wird ein leeres Bundle erstellt, wobei die Artikel über einen Webhook hinzuzufügen sind. Dieser Typ wird nur für die Katalogpersonalisierung aufseiten des Partners verwendet.

Enum"standard""partner_side_content"
items[].​can_be_boughtboolean(Can_be_bought)

Sofern true, kann der Nutzer einen Artikel kaufen.

items[].​contentArray of objects(Bundles_client_content)

Bundle-/Paketinhalt.

items[].​content[].​attributesArray of objects(Bundles_client-attributes)

Liste der Attribute und ihrer Werte, die dem Artikel zugeordnet sind. Kann für die Katalogfilterung verwendet werden.

items[].​content[].​attributes[].​external_idstring(admin-attribute-external_id)[ 1 .. 255 ] characters^[a-zA-Z0-9-_]+$

Eindeutige Attribut-ID. Die external_id darf nur lateinische Klein- und Großbuchstaben, Ziffern, Bindestriche und Unterstriche enthalten.

items[].​content[].​attributes[].​namestring

Name des Attributs.

Beispiel: "Genre"
items[].​content[].​attributes[].​valuesArray of objects
items[].​content[].​attributes[].​values[].​external_idstring(value-external_id)[ 1 .. 255 ] characters^[-_.\d\w]+$

Eindeutige Wert-ID für ein Attribut. Die external_id darf nur lateinische Kleinbuchstaben, alphanumerische Zeichen, Binde- und Unterstriche enthalten.

items[].​content[].​attributes[].​values[].​valuestring

Wert des Attributs.

Beispiel: "Strategy"
items[].​content[].​descriptionstring

Artikelbeschreibung.

Beispiel: "Big Rocket - description"
items[].​content[].​groupsArray of objects(Bundles_groups_response)

Gruppen, zu denen der Artikel gehört.

items[].​content[].​groups[].​external_idstring
Beispiel: "horror"
items[].​content[].​groups[].​nameobject

Name des Artikels. Sollte Schlüssel-Wert-Paare enthalten, wobei der Schlüssel ein Gebietsschema im Format "^[a–z]{2}" und der Wert ein String ist.

Standard {"en":"Horror"}
Beispiel: {"de":"Horror","en":"Horror"}
items[].​content[].​groups[].​name.​property name*stringzusätzliche Eigenschaft
items[].​content[].​image_urlstring

Bild-URL.

Beispiel: "https://popmedia.blob.core.windows.net/popyourself/male/outfit/male_armor_white_a-01.png"
items[].​content[].​is_freeboolean(value-is_free)

Ob der Artikel kostenlos ist.

items[].​content[].​limitsobject or null(Catalog_item_limits_with_hourly)

Artikelbeschränkungen.

items[].​content[].​limits.​per_itemobject or null

Artikelbeschränkungen für einen Artikel.

items[].​content[].​limits.​per_item.​availableinteger

Verbleibende Anzahl von Artikeln, die alle Nutzer kaufen können.

Beispiel: 3
items[].​content[].​limits.​per_item.​totalinteger

Höchstzahl von Artikeln, die alle Nutzer kaufen können.

Beispiel: 5
items[].​content[].​limits.​per_userobject or null

Artikelbeschränkungen für einen Nutzer.

items[].​content[].​limits.​per_user.​availableinteger

Verbleibende Anzahl von Artikeln, die der aktuelle Nutzer kaufen kann.

Beispiel: 3
items[].​content[].​limits.​per_user.​limit_exceeded_visibilitystring(limit_exceeded_visibility)

Determines the visibility of the item in the catalog after the purchase limit is reached, until the next limit reset.

Applies to items for which recurring limit resets are configured in the recurrent_schedule array.

If limit resets are not configured, the item doesn't appear in the catalog after the purchase limit is reached, regardless of the limit_exceeded_visibility value.

Possible values:

  • show — The item is returned in catalog retrieval API calls after the purchase limit is reached. In client-side catalog retrieval API calls, once the limit is reached, the item is returned with the can_be_bought: false flag. The next reset date is returned in reset_next_date.
  • hide — The item is not returned in catalog retrieval API calls after the purchase limit is reached, until the limit is reset.
Enum"show""hide"
items[].​content[].​limits.​per_user.​recurrent_schedule(object or null)(catalog_recurrent_schedule_client_response)
One of:

Item limits recurrent refresh period for a user.

object or null
items[].​content[].​limits.​per_user.​totalinteger

Höchstzahl von Artikeln, die ein einzelner Nutzer kaufen kann.

Beispiel: 5
items[].​content[].​namestring

Artikelname.

Beispiel: "Big Rocket"
items[].​content[].​priceobject or null

Artikelpreise.

items[].​content[].​price.​amountstring

Artikelpreis mit Rabatt.

Beispiel: "100.99"
items[].​content[].​price.​amount_without_discountstring

Artikelpreis.

Beispiel: "100.99"
items[].​content[].​price.​currencystring

Währung des Artikelpreises. Dreistelliger Code pro ISO 4217. Detaillierte Informationen zu Von Xsolla unterstützte Währungen.

Beispiel: "USD"
items[].​content[].​quantityinteger

Artikelmenge in einem Paket.

Beispiel: 250
items[].​content[].​skustring

Eindeutige Artikel-ID. Die SKU darf nur lateinische Klein- und Großbuchstaben, Ziffern, Bindestriche und Unterstriche enthalten.

Beispiel: "com.xsolla.big_rocket_1"
items[].​content[].​typestring

Artikeltyp: virtual_good/virtual_currency/bundle.

Beispiel: "virtual_currency"
items[].​content[].​virtual_item_typestring

Type of virtual item.

Possible values:

  • consumable — An item that disappears from the inventory after use (e.g., ammo).
  • non_consumable — An item that stays in the inventory for an unlimited period of time.
  • non_renewing_subscription — Time-limited item that can represent access to services or content for a limited period of time.
Enum"consumable""non_consumable""non_renewing_subscription"
Beispiel: "non-consumable"
items[].​content[].​virtual_pricesArray of objects

Virtuelle Preise.

items[].​content[].​virtual_prices[].​amountinteger

Rabattierter Artikelpreis in virtueller Währung.

Beispiel: 100
items[].​content[].​virtual_prices[].​amount_without_discountinteger

Artikelpreis.

Beispiel: 200
items[].​content[].​virtual_prices[].​descriptionstring

Beschreibung der virtuellen Währung.

Beispiel: "Big Rocket - description"
items[].​content[].​virtual_prices[].​image_urlstring

Bild der virtuellen Währung.

Beispiel: "http://image.png"
items[].​content[].​virtual_prices[].​is_defaultboolean

Ob es sich bei dem Preis um einen Standardpreis für einen Artikel handelt.

Beispiel: true
items[].​content[].​virtual_prices[].​namestring

Name der virtuellen Währung.

Beispiel: "SHOTGUN FOR TRUE RAIDERS"
items[].​content[].​virtual_prices[].​skustring

Artikel-SKU der virtuellen Währung.

Beispiel: "vc_test"
items[].​content[].​virtual_prices[].​typestring

Art der virtuellen Währung.

Beispiel: "virtual_currency"
items[].​custom_attributesobject(json)(item-custom-attributes-response)

Ein JSON-Objekt mit Artikelattributen und ‑werten.

items[].​descriptionstring or null(Bundles_client_description)

Artikelbeschreibung.

items[].​groupsArray of objects(items_client_groups_response)

Gruppen, zu denen der Artikel gehört.

items[].​groups[].​external_idstring

Eindeutige Kennung für die Gruppe. Dient normalerweise dazu, in API-Anfragen oder externen Systemen auf die Gruppe zu verweisen.

Beispiel: "exclusive"
items[].​groups[].​item_order_in_groupinteger

Die Position des Artikels innerhalb der Gruppe. Dient dazu, die Anzeigereihenfolge festzulegen. Dieses Feld ist nur dann in der Antwort enthalten, wenn es über den Abfrageparameter additional_fields[] angefordert wird.

Beispiel: 1
items[].​groups[].​namestring

Name der Gruppe.

Beispiel: "Exclusive"
items[].​image_urlstring or null(Bundles_image_url)

Bild-URL.

items[].​is_freeboolean(value-is_free)

Ob der Artikel kostenlos ist.

items[].​item_idinteger(Bundles_item_id)[ 1 .. 255 ] characters

Interne eindeutige Artikel-ID.

items[].​limitsobject or null(Catalog_item_limits_with_hourly)

Artikelbeschränkungen.

items[].​limits.​per_itemobject or null

Artikelbeschränkungen für einen Artikel.

items[].​limits.​per_item.​availableinteger

Verbleibende Anzahl von Artikeln, die alle Nutzer kaufen können.

Beispiel: 3
items[].​limits.​per_item.​totalinteger

Höchstzahl von Artikeln, die alle Nutzer kaufen können.

Beispiel: 5
items[].​limits.​per_userobject or null

Artikelbeschränkungen für einen Nutzer.

items[].​limits.​per_user.​availableinteger

Verbleibende Anzahl von Artikeln, die der aktuelle Nutzer kaufen kann.

Beispiel: 3
items[].​limits.​per_user.​limit_exceeded_visibilitystring(limit_exceeded_visibility)

Determines the visibility of the item in the catalog after the purchase limit is reached, until the next limit reset.

Applies to items for which recurring limit resets are configured in the recurrent_schedule array.

If limit resets are not configured, the item doesn't appear in the catalog after the purchase limit is reached, regardless of the limit_exceeded_visibility value.

Possible values:

  • show — The item is returned in catalog retrieval API calls after the purchase limit is reached. In client-side catalog retrieval API calls, once the limit is reached, the item is returned with the can_be_bought: false flag. The next reset date is returned in reset_next_date.
  • hide — The item is not returned in catalog retrieval API calls after the purchase limit is reached, until the limit is reset.
Enum"show""hide"
items[].​limits.​per_user.​recurrent_schedule(object or null)(catalog_recurrent_schedule_client_response)
One of:

Item limits recurrent refresh period for a user.

object or null
items[].​limits.​per_user.​totalinteger

Höchstzahl von Artikeln, die ein einzelner Nutzer kaufen kann.

Beispiel: 5
items[].​long_description(two-letter (object or null)) or (five-letter (object or null))(long-description-localization-object)

Objekt mit Lokalisierungen für lange Artikelbeschreibungen. Werte können in zwei Formaten angegeben werden: Sprachencode bestehend aus zwei Kleinbuchstaben (z. B. en) oder fünfstelliger Gebietsschemacode (z. B. en-US). Beide Formate werden als Eingabe akzeptiert, als Antwort werden jedoch stets zweistellige Sprachencodes in Kleinbuchstaben zurückgegeben. Wenn für dieselbe Sprache beide Varianten angegeben sind (z. B. en und en-US), wird der zuletzt angegebene Wert gespeichert. Die vollständige Liste der unterstützten Sprachen finden Sie in der Dokumentation.

Any of:

Sprachencodes bestehend aus zwei Kleinbuchstaben.

items[].​long_description.​arstring or null

Arabisch

items[].​long_description.​bgstring or null

Bulgarisch

items[].​long_description.​cnstring or null

Chinesisch (vereinfacht)

items[].​long_description.​csstring or null

Tschechisch

items[].​long_description.​destring or null

Deutsch

items[].​long_description.​enstring or null

Englisch

items[].​long_description.​esstring or null

Spanisch (Spanien)

items[].​long_description.​frstring or null

Französisch

items[].​long_description.​hestring or null

Hebräisch

items[].​long_description.​idstring or null

Indonesisch

items[].​long_description.​itstring or null

Italienisch

items[].​long_description.​jastring or null

Japanisch

items[].​long_description.​kmstring or null

Khmer

items[].​long_description.​kostring or null

Koreanisch

items[].​long_description.​lostring or null

Laotisch

items[].​long_description.​mystring or null

Birmanisch

items[].​long_description.​nestring or null

Nepalesisch

items[].​long_description.​phstring or null

Filipino

items[].​long_description.​plstring or null

Polnisch

items[].​long_description.​ptstring or null

Portugiesisch

items[].​long_description.​rostring or null

Rumänisch

items[].​long_description.​rustring or null

Russisch

items[].​long_description.​thstring or null

Thai

items[].​long_description.​trstring or null

Türkisch

items[].​long_description.​twstring or null

Chinesisch (traditionell)

items[].​long_description.​vistring or null

Vietnamesisch

items[].​media_listArray of objects(Bundles_media_list)

Zusätzliche Medieninhalte des Bundles.

items[].​media_list[].​typestring

Medieninhaltstyp: image/video.

Enum"image""video"
Beispiel: "image"
items[].​media_list[].​urlstring

Ressourcendatei.

Beispiel: "https://cdn3.xsolla.com/img/misc/images/71ab1e12126f2103e1868076f0acb21a.jpg"
items[].​namestring(Bundles_client_name)

Artikelname.

items[].​orderinteger(Bundles_order)

Priorität der Bundle-Reihenfolge in der Liste.

items[].​periodsArray of objects or null(item-periods)

Artikelangebotszeitraum.

items[].​periods[].​date_fromstring(date-time)

Datum, an dem der angegebene Artikel zum Verkauf angeboten wird.

Beispiel: "2020-08-11T10:00:00+03:00"
items[].​periods[].​date_untilstring or null(date-time)

Datum, an dem der angegebene Artikel nicht mehr zum Verkauf angeboten wird. Möglich ist: null.

Beispiel: "2020-08-11T20:00:00+03:00"
items[].​priceobject or null(Bundles_price)

Artikelpreis.

items[].​price.​amountstring(Bundles_amount)^\d*\.?\d*$erforderlich

Artikelpreis mit Rabatt.

items[].​price.​amount_without_discountstring(Bundles_amount_without_discount)^\d*\.?\d*$erforderlich

Artikelpreis.

items[].​price.​currencystring(Bundles_currency)erforderlich

Währung des Artikelpreises. Dreistelliger Code pro ISO 4217.

items[].​promotionsArray of objects(Catalog_item_promotions)

Auf bestimmte Artikel im Warenkorb angewandte Werbeaktionen. Das array wird in den folgenden Fällen zurückgegeben:

  • Für einen bestimmten Artikel ist eine Rabattaktion konfiguriert.

  • Ein Promocode mit der Einstellung Rabatt auf ausgewählte Artikel ist angewandt.

Werden keine Werbeaktionen auf Artikelebene angewandt, wird ein leeres Array zurückgegeben.

items[].​promotions[].​bonusArray of objects
items[].​promotions[].​bonus[].​bundle_typestring

Typ des im Bundle enthaltenen Bonusartikels. Nur verfügbar für Bonusartikel vom Typ bundle.

Enum"standard""virtual_currency_package"
items[].​promotions[].​bonus[].​image_urlstring

Bild-URL des Bonusartikels. Nicht verfügbar für Bonusartikel vom Typ physical_good.

items[].​promotions[].​bonus[].​namestring

Name des Bonusartikels. Nicht verfügbar für Bonusartikel vom Typ physical_good.

items[].​promotions[].​bonus[].​quantityinteger
items[].​promotions[].​bonus[].​skustring
items[].​promotions[].​bonus[].​typestring

Typ des Bonusartikels.

Enum"virtual_good""virtual_currency""bundle""physical_good""game_key""nft"
items[].​promotions[].​date_endstring or null(date-time)
items[].​promotions[].​date_startstring or null(date-time)
items[].​promotions[].​discountobject or null
items[].​promotions[].​discount.​percentstring or null
items[].​promotions[].​discount.​valuestring or null
items[].​promotions[].​limitsobject
items[].​promotions[].​limits.​per_userobject
items[].​promotions[].​limits.​per_user.​availableinteger
items[].​promotions[].​limits.​per_user.​totalinteger
items[].​promotions[].​namestring
items[].​skustring(Bundles_sku)[ 1 .. 255 ] characters^[a-zA-Z0-9_\-–.]*$

Eindeutige Artikel-ID. Die SKU darf nur lateinische Klein- und Großbuchstaben, Ziffern, Punkte, Bindestriche und Unterstriche enthalten.

items[].​total_content_priceobject or null(Bundles_total_content_price)

Preissumme der einzelnen Bundle-Inhalte.

items[].​total_content_price.​amountstring

Rabattierte Preissumme der einzelnen Bundle-Inhalte.

Beispiel: "100.99"
items[].​total_content_price.​amount_without_discountstring

Preissumme der einzelnen Bundle-Inhalte.

Beispiel: "100.99"
items[].​total_content_price.​currencystring(Bundles_currency)

Währung des Artikelpreises. Dreistelliger Code pro ISO 4217.

items[].​typestring(Bundles_type)

Artikeltyp.

items[].​virtual_pricesArray of objects(Bundles_virtual_prices)

Virtuelle Preise.

items[].​virtual_prices[].​amountinteger

Rabattierter Artikelpreis in virtueller Währung.

Beispiel: 100
items[].​virtual_prices[].​amount_without_discountinteger

Artikelpreis in virtueller Währung.

Beispiel: 200
items[].​virtual_prices[].​descriptionstring or null

Beschreibung der virtuellen Währung.

Beispiel: "Most popular gold"
items[].​virtual_prices[].​image_urlstring or null

Bild der virtuellen Währung.

Beispiel: "http://image.png"
items[].​virtual_prices[].​is_defaultboolean

Ob es sich bei dem Preis um einen Standardpreis für einen Artikel handelt.

Beispiel: true
items[].​virtual_prices[].​namestring

Name der virtuellen Währung.

Beispiel: "Gold"
items[].​virtual_prices[].​skustring

Artikel-SKU der virtuellen Währung.

Beispiel: "gold"
items[].​virtual_prices[].​typestring

Art der virtuellen Währung.

Beispiel: "virtual_currency"
items[].​vp_rewardsArray of objects(client-item-value-point-reward)

Wertpunktartikel-Belohnung.

items[].​vp_rewards[].​amountinteger(value-point-amount)

Anzahl der Wertpunkte.

items[].​vp_rewards[].​image_urlstring(Common_admin-image_url)

Bild-URL.

items[].​vp_rewards[].​is_clanboolean(is_clan)

Ob der Wertpunkt in Clan-Belohnungsketten verwendet wird.

items[].​vp_rewards[].​item_idinteger(item_id)

Interne eindeutige Artikel-ID.

items[].​vp_rewards[].​namestring(value-point-name)

Wertpunktname.

items[].​vp_rewards[].​skustring(value-point-sku)

Eindeutige ID des Wertpunkts.

Antwort
application/json
{ "has_more": true, "items": [ {} ] }

Angegebenes Bundle abrufenClient-side

Anfrage

Gets a specified bundle.

Note

This API call returns generic item catalog data when used without authorization. Use authorization to retrieve personalized user data, such as limits and promotions associated with the item. To do this, pass the user JWT in the Authorization header. For more information about user JWT, see the Security block for this call.
Sicherheit
XsollaLoginUserJWT
Pfad
project_idintegererforderlich

Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.

Beispiel: 44056
skustringerforderlich

Bundle-SKU.

Beispiel: kg_1
Abfrage
promo_codestring[ 1 .. 128 ] characters

Eindeutiger Code, es wird zwischen Groß- und Kleinschreibung unterschieden. Enthält Buchstaben und Ziffern.

Beispiel: promo_code=WINTER2021
show_inactive_time_limited_itemsinteger

Zeigt zeitlich begrenzte Artikel an, die nicht erhältlich sind. Der Gültigkeitszeitraum dieser Artikel hat noch nicht begonnen oder ist bereits vorüber.

Standard 0
Beispiel: show_inactive_time_limited_items=1
additional_fields[]Array of strings

Die Liste der zusätzlichen Felder. Diese Felder sind in der Antwort enthalten, sofern Sie diese in der Anfrage senden.

Elemente Enum"media_list""order""long_description""custom_attributes""item_order_in_group"
curl -i -X GET \
  'https://store.xsolla.com/api/v2/project/44056/items/bundle/sku/kg_1?promo_code=WINTER2021&show_inactive_time_limited_items=1&additional_fields%5B%5D=media_list' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Antworten

Das angegebene Bundle wurde erfolgreich empfangen.

Bodyapplication/json
attributesArray of objects(Bundles_client-attributes)

Liste der Attribute und ihrer Werte, die dem Artikel zugeordnet sind. Kann für die Katalogfilterung verwendet werden.

attributes[].​external_idstring(admin-attribute-external_id)[ 1 .. 255 ] characters^[a-zA-Z0-9-_]+$

Eindeutige Attribut-ID. Die external_id darf nur lateinische Klein- und Großbuchstaben, Ziffern, Bindestriche und Unterstriche enthalten.

attributes[].​namestring

Name des Attributs.

Beispiel: "Genre"
attributes[].​valuesArray of objects
attributes[].​values[].​external_idstring(value-external_id)[ 1 .. 255 ] characters^[-_.\d\w]+$

Eindeutige Wert-ID für ein Attribut. Die external_id darf nur lateinische Kleinbuchstaben, alphanumerische Zeichen, Binde- und Unterstriche enthalten.

attributes[].​values[].​valuestring

Wert des Attributs.

Beispiel: "Strategy"
bundle_typestring(Bundles_bundle_type)

Bundle-Typ. Durch Angabe von standard erstellen Sie ein Bundle mit Artikeln, wobei die SKUs der im Bundle enthaltenen Artikel anzugeben ist. Durch Angabe von partner_side_content wird ein leeres Bundle erstellt, wobei die Artikel über einen Webhook hinzuzufügen sind. Dieser Typ wird nur für die Katalogpersonalisierung aufseiten des Partners verwendet.

Enum"standard""partner_side_content"
can_be_boughtboolean(Can_be_bought)

Sofern true, kann der Nutzer einen Artikel kaufen.

contentArray of objects(Bundles_client_content)

Bundle-/Paketinhalt.

content[].​attributesArray of objects(Bundles_client-attributes)

Liste der Attribute und ihrer Werte, die dem Artikel zugeordnet sind. Kann für die Katalogfilterung verwendet werden.

content[].​attributes[].​external_idstring(admin-attribute-external_id)[ 1 .. 255 ] characters^[a-zA-Z0-9-_]+$

Eindeutige Attribut-ID. Die external_id darf nur lateinische Klein- und Großbuchstaben, Ziffern, Bindestriche und Unterstriche enthalten.

content[].​attributes[].​namestring

Name des Attributs.

Beispiel: "Genre"
content[].​attributes[].​valuesArray of objects
content[].​attributes[].​values[].​external_idstring(value-external_id)[ 1 .. 255 ] characters^[-_.\d\w]+$

Eindeutige Wert-ID für ein Attribut. Die external_id darf nur lateinische Kleinbuchstaben, alphanumerische Zeichen, Binde- und Unterstriche enthalten.

content[].​attributes[].​values[].​valuestring

Wert des Attributs.

Beispiel: "Strategy"
content[].​descriptionstring

Artikelbeschreibung.

Beispiel: "Big Rocket - description"
content[].​groupsArray of objects(Bundles_groups_response)

Gruppen, zu denen der Artikel gehört.

content[].​groups[].​external_idstring
Beispiel: "horror"
content[].​groups[].​nameobject

Name des Artikels. Sollte Schlüssel-Wert-Paare enthalten, wobei der Schlüssel ein Gebietsschema im Format "^[a–z]{2}" und der Wert ein String ist.

Standard {"en":"Horror"}
Beispiel: {"de":"Horror","en":"Horror"}
content[].​groups[].​name.​property name*stringzusätzliche Eigenschaft
content[].​image_urlstring

Bild-URL.

Beispiel: "https://popmedia.blob.core.windows.net/popyourself/male/outfit/male_armor_white_a-01.png"
content[].​is_freeboolean(value-is_free)

Ob der Artikel kostenlos ist.

content[].​limitsobject or null(Catalog_item_limits_with_hourly)

Artikelbeschränkungen.

content[].​limits.​per_itemobject or null

Artikelbeschränkungen für einen Artikel.

content[].​limits.​per_item.​availableinteger

Verbleibende Anzahl von Artikeln, die alle Nutzer kaufen können.

Beispiel: 3
content[].​limits.​per_item.​totalinteger

Höchstzahl von Artikeln, die alle Nutzer kaufen können.

Beispiel: 5
content[].​limits.​per_userobject or null

Artikelbeschränkungen für einen Nutzer.

content[].​limits.​per_user.​availableinteger

Verbleibende Anzahl von Artikeln, die der aktuelle Nutzer kaufen kann.

Beispiel: 3
content[].​limits.​per_user.​limit_exceeded_visibilitystring(limit_exceeded_visibility)

Determines the visibility of the item in the catalog after the purchase limit is reached, until the next limit reset.

Applies to items for which recurring limit resets are configured in the recurrent_schedule array.

If limit resets are not configured, the item doesn't appear in the catalog after the purchase limit is reached, regardless of the limit_exceeded_visibility value.

Possible values:

  • show — The item is returned in catalog retrieval API calls after the purchase limit is reached. In client-side catalog retrieval API calls, once the limit is reached, the item is returned with the can_be_bought: false flag. The next reset date is returned in reset_next_date.
  • hide — The item is not returned in catalog retrieval API calls after the purchase limit is reached, until the limit is reset.
Enum"show""hide"
content[].​limits.​per_user.​recurrent_schedule(object or null)(catalog_recurrent_schedule_client_response)
One of:

Item limits recurrent refresh period for a user.

object or null
content[].​limits.​per_user.​totalinteger

Höchstzahl von Artikeln, die ein einzelner Nutzer kaufen kann.

Beispiel: 5
content[].​namestring

Artikelname.

Beispiel: "Big Rocket"
content[].​priceobject or null

Artikelpreise.

content[].​price.​amountstring

Artikelpreis mit Rabatt.

Beispiel: "100.99"
content[].​price.​amount_without_discountstring

Artikelpreis.

Beispiel: "100.99"
content[].​price.​currencystring

Währung des Artikelpreises. Dreistelliger Code pro ISO 4217. Detaillierte Informationen zu Von Xsolla unterstützte Währungen.

Beispiel: "USD"
content[].​quantityinteger

Artikelmenge in einem Paket.

Beispiel: 250
content[].​skustring

Eindeutige Artikel-ID. Die SKU darf nur lateinische Klein- und Großbuchstaben, Ziffern, Bindestriche und Unterstriche enthalten.

Beispiel: "com.xsolla.big_rocket_1"
content[].​typestring

Artikeltyp: virtual_good/virtual_currency/bundle.

Beispiel: "virtual_currency"
content[].​virtual_item_typestring

Type of virtual item.

Possible values:

  • consumable — An item that disappears from the inventory after use (e.g., ammo).
  • non_consumable — An item that stays in the inventory for an unlimited period of time.
  • non_renewing_subscription — Time-limited item that can represent access to services or content for a limited period of time.
Enum"consumable""non_consumable""non_renewing_subscription"
Beispiel: "non-consumable"
content[].​virtual_pricesArray of objects

Virtuelle Preise.

content[].​virtual_prices[].​amountinteger

Rabattierter Artikelpreis in virtueller Währung.

Beispiel: 100
content[].​virtual_prices[].​amount_without_discountinteger

Artikelpreis.

Beispiel: 200
content[].​virtual_prices[].​descriptionstring

Beschreibung der virtuellen Währung.

Beispiel: "Big Rocket - description"
content[].​virtual_prices[].​image_urlstring

Bild der virtuellen Währung.

Beispiel: "http://image.png"
content[].​virtual_prices[].​is_defaultboolean

Ob es sich bei dem Preis um einen Standardpreis für einen Artikel handelt.

Beispiel: true
content[].​virtual_prices[].​namestring

Name der virtuellen Währung.

Beispiel: "SHOTGUN FOR TRUE RAIDERS"
content[].​virtual_prices[].​skustring

Artikel-SKU der virtuellen Währung.

Beispiel: "vc_test"
content[].​virtual_prices[].​typestring

Art der virtuellen Währung.

Beispiel: "virtual_currency"
custom_attributesobject(json)(item-custom-attributes-response)

Ein JSON-Objekt mit Artikelattributen und ‑werten.

descriptionstring or null(Bundles_client_description)

Artikelbeschreibung.

groupsArray of objects(items_client_groups_response)

Gruppen, zu denen der Artikel gehört.

groups[].​external_idstring

Eindeutige Kennung für die Gruppe. Dient normalerweise dazu, in API-Anfragen oder externen Systemen auf die Gruppe zu verweisen.

Beispiel: "exclusive"
groups[].​item_order_in_groupinteger

Die Position des Artikels innerhalb der Gruppe. Dient dazu, die Anzeigereihenfolge festzulegen. Dieses Feld ist nur dann in der Antwort enthalten, wenn es über den Abfrageparameter additional_fields[] angefordert wird.

Beispiel: 1
groups[].​namestring

Name der Gruppe.

Beispiel: "Exclusive"
image_urlstring or null(Bundles_image_url)

Bild-URL.

is_freeboolean(value-is_free)

Ob der Artikel kostenlos ist.

item_idinteger(Bundles_item_id)[ 1 .. 255 ] characters

Interne eindeutige Artikel-ID.

limitsobject or null(Catalog_item_limits_with_hourly)

Artikelbeschränkungen.

limits.​per_itemobject or null

Artikelbeschränkungen für einen Artikel.

limits.​per_item.​availableinteger

Verbleibende Anzahl von Artikeln, die alle Nutzer kaufen können.

Beispiel: 3
limits.​per_item.​totalinteger

Höchstzahl von Artikeln, die alle Nutzer kaufen können.

Beispiel: 5
limits.​per_userobject or null

Artikelbeschränkungen für einen Nutzer.

limits.​per_user.​availableinteger

Verbleibende Anzahl von Artikeln, die der aktuelle Nutzer kaufen kann.

Beispiel: 3
limits.​per_user.​limit_exceeded_visibilitystring(limit_exceeded_visibility)

Determines the visibility of the item in the catalog after the purchase limit is reached, until the next limit reset.

Applies to items for which recurring limit resets are configured in the recurrent_schedule array.

If limit resets are not configured, the item doesn't appear in the catalog after the purchase limit is reached, regardless of the limit_exceeded_visibility value.

Possible values:

  • show — The item is returned in catalog retrieval API calls after the purchase limit is reached. In client-side catalog retrieval API calls, once the limit is reached, the item is returned with the can_be_bought: false flag. The next reset date is returned in reset_next_date.
  • hide — The item is not returned in catalog retrieval API calls after the purchase limit is reached, until the limit is reset.
Enum"show""hide"
limits.​per_user.​recurrent_schedule(object or null)(catalog_recurrent_schedule_client_response)
One of:

Item limits recurrent refresh period for a user.

object or null
limits.​per_user.​totalinteger

Höchstzahl von Artikeln, die ein einzelner Nutzer kaufen kann.

Beispiel: 5
long_description(two-letter (object or null)) or (five-letter (object or null))(long-description-localization-object)

Objekt mit Lokalisierungen für lange Artikelbeschreibungen. Werte können in zwei Formaten angegeben werden: Sprachencode bestehend aus zwei Kleinbuchstaben (z. B. en) oder fünfstelliger Gebietsschemacode (z. B. en-US). Beide Formate werden als Eingabe akzeptiert, als Antwort werden jedoch stets zweistellige Sprachencodes in Kleinbuchstaben zurückgegeben. Wenn für dieselbe Sprache beide Varianten angegeben sind (z. B. en und en-US), wird der zuletzt angegebene Wert gespeichert. Die vollständige Liste der unterstützten Sprachen finden Sie in der Dokumentation.

Any of:

Sprachencodes bestehend aus zwei Kleinbuchstaben.

long_description.​arstring or null

Arabisch

long_description.​bgstring or null

Bulgarisch

long_description.​cnstring or null

Chinesisch (vereinfacht)

long_description.​csstring or null

Tschechisch

long_description.​destring or null

Deutsch

long_description.​enstring or null

Englisch

long_description.​esstring or null

Spanisch (Spanien)

long_description.​frstring or null

Französisch

long_description.​hestring or null

Hebräisch

long_description.​idstring or null

Indonesisch

long_description.​itstring or null

Italienisch

long_description.​jastring or null

Japanisch

long_description.​kmstring or null

Khmer

long_description.​kostring or null

Koreanisch

long_description.​lostring or null

Laotisch

long_description.​mystring or null

Birmanisch

long_description.​nestring or null

Nepalesisch

long_description.​phstring or null

Filipino

long_description.​plstring or null

Polnisch

long_description.​ptstring or null

Portugiesisch

long_description.​rostring or null

Rumänisch

long_description.​rustring or null

Russisch

long_description.​thstring or null

Thai

long_description.​trstring or null

Türkisch

long_description.​twstring or null

Chinesisch (traditionell)

long_description.​vistring or null

Vietnamesisch

media_listArray of objects(Bundles_media_list)

Zusätzliche Medieninhalte des Bundles.

media_list[].​typestring

Medieninhaltstyp: image/video.

Enum"image""video"
Beispiel: "image"
media_list[].​urlstring

Ressourcendatei.

Beispiel: "https://cdn3.xsolla.com/img/misc/images/71ab1e12126f2103e1868076f0acb21a.jpg"
namestring(Bundles_client_name)

Artikelname.

orderinteger(Bundles_order)

Priorität der Bundle-Reihenfolge in der Liste.

periodsArray of objects or null(item-periods)

Artikelangebotszeitraum.

periods[].​date_fromstring(date-time)

Datum, an dem der angegebene Artikel zum Verkauf angeboten wird.

Beispiel: "2020-08-11T10:00:00+03:00"
periods[].​date_untilstring or null(date-time)

Datum, an dem der angegebene Artikel nicht mehr zum Verkauf angeboten wird. Möglich ist: null.

Beispiel: "2020-08-11T20:00:00+03:00"
priceobject or null(Bundles_price)

Artikelpreis.

price.​amountstring(Bundles_amount)^\d*\.?\d*$erforderlich

Artikelpreis mit Rabatt.

price.​amount_without_discountstring(Bundles_amount_without_discount)^\d*\.?\d*$erforderlich

Artikelpreis.

price.​currencystring(Bundles_currency)erforderlich

Währung des Artikelpreises. Dreistelliger Code pro ISO 4217.

promotionsArray of objects(Catalog_item_promotions)

Auf bestimmte Artikel im Warenkorb angewandte Werbeaktionen. Das array wird in den folgenden Fällen zurückgegeben:

  • Für einen bestimmten Artikel ist eine Rabattaktion konfiguriert.

  • Ein Promocode mit der Einstellung Rabatt auf ausgewählte Artikel ist angewandt.

Werden keine Werbeaktionen auf Artikelebene angewandt, wird ein leeres Array zurückgegeben.

promotions[].​bonusArray of objects
promotions[].​bonus[].​bundle_typestring

Typ des im Bundle enthaltenen Bonusartikels. Nur verfügbar für Bonusartikel vom Typ bundle.

Enum"standard""virtual_currency_package"
promotions[].​bonus[].​image_urlstring

Bild-URL des Bonusartikels. Nicht verfügbar für Bonusartikel vom Typ physical_good.

promotions[].​bonus[].​namestring

Name des Bonusartikels. Nicht verfügbar für Bonusartikel vom Typ physical_good.

promotions[].​bonus[].​quantityinteger
promotions[].​bonus[].​skustring
promotions[].​bonus[].​typestring

Typ des Bonusartikels.

Enum"virtual_good""virtual_currency""bundle""physical_good""game_key""nft"
promotions[].​date_endstring or null(date-time)
promotions[].​date_startstring or null(date-time)
promotions[].​discountobject or null
promotions[].​discount.​percentstring or null
promotions[].​discount.​valuestring or null
promotions[].​limitsobject
promotions[].​limits.​per_userobject
promotions[].​limits.​per_user.​availableinteger
promotions[].​limits.​per_user.​totalinteger
promotions[].​namestring
skustring(Bundles_sku)[ 1 .. 255 ] characters^[a-zA-Z0-9_\-–.]*$

Eindeutige Artikel-ID. Die SKU darf nur lateinische Klein- und Großbuchstaben, Ziffern, Punkte, Bindestriche und Unterstriche enthalten.

total_content_priceobject or null(Bundles_total_content_price)

Preissumme der einzelnen Bundle-Inhalte.

total_content_price.​amountstring

Rabattierte Preissumme der einzelnen Bundle-Inhalte.

Beispiel: "100.99"
total_content_price.​amount_without_discountstring

Preissumme der einzelnen Bundle-Inhalte.

Beispiel: "100.99"
total_content_price.​currencystring(Bundles_currency)

Währung des Artikelpreises. Dreistelliger Code pro ISO 4217.

typestring(Bundles_type)

Artikeltyp.

virtual_pricesArray of objects(Bundles_virtual_prices)

Virtuelle Preise.

virtual_prices[].​amountinteger

Rabattierter Artikelpreis in virtueller Währung.

Beispiel: 100
virtual_prices[].​amount_without_discountinteger

Artikelpreis in virtueller Währung.

Beispiel: 200
virtual_prices[].​descriptionstring or null

Beschreibung der virtuellen Währung.

Beispiel: "Most popular gold"
virtual_prices[].​image_urlstring or null

Bild der virtuellen Währung.

Beispiel: "http://image.png"
virtual_prices[].​is_defaultboolean

Ob es sich bei dem Preis um einen Standardpreis für einen Artikel handelt.

Beispiel: true
virtual_prices[].​namestring

Name der virtuellen Währung.

Beispiel: "Gold"
virtual_prices[].​skustring

Artikel-SKU der virtuellen Währung.

Beispiel: "gold"
virtual_prices[].​typestring

Art der virtuellen Währung.

Beispiel: "virtual_currency"
vp_rewardsArray of objects(client-item-value-point-reward)

Wertpunktartikel-Belohnung.

vp_rewards[].​amountinteger(value-point-amount)

Anzahl der Wertpunkte.

vp_rewards[].​image_urlstring(Common_admin-image_url)

Bild-URL.

vp_rewards[].​is_clanboolean(is_clan)

Ob der Wertpunkt in Clan-Belohnungsketten verwendet wird.

vp_rewards[].​item_idinteger(item_id)

Interne eindeutige Artikel-ID.

vp_rewards[].​namestring(value-point-name)

Wertpunktname.

vp_rewards[].​skustring(value-point-sku)

Eindeutige ID des Wertpunkts.

Antwort
application/json
{ "attributes": [], "bundle_type": "standard", "can_be_bought": true, "content": [ {} ], "custom_attributes": { "attr": "value", "purchased": 0 }, "description": "pricePoint_44056_1.", "groups": [], "image_url": null, "is_free": false, "item_id": 610316, "limits": { "per_user": {} }, "long_description": null, "media_list": [], "name": "kg_10.00_bundle", "order": 999, "periods": [ {} ], "price": { "amount": "9.99", "amount_without_discount": "9.99", "currency": "USD" }, "promotions": [], "sku": "com.xsolla.kg_1", "total_content_price": { "amount": "10.99", "amount_without_discount": "10.99", "currency": "USD" }, "type": "bundle", "virtual_prices": [], "vp_rewards": [ {}, {} ] }
Operationen
Operationen
Operationen
Operationen
Operationen
Operationen
Operationen
Operationen
Operationen
Operationen

Katalog

Diese API ermöglicht es, jede Art von verkäuflichen oder bestimmten Artikeln zu erhalten.

Operationen
Operationen
Operationen
Operationen
Operationen